import { ApiV2 } from '@expo/xdl';
import { AndroidCredentials, Keystore } from '../credentials';
export default class AndroidApi {
    private api;
    private shouldRefetchAll;
    private credentials;
    constructor(api: ApiV2);
    fetchAll(): Promise<{
        [key: string]: AndroidCredentials;
    }>;
    fetchKeystore(experienceName: string): Promise<Keystore | null>;
    fetchCredentials(experienceName: string): Promise<AndroidCredentials>;
    updateKeystore(experienceName: string, keystore: Keystore): Promise<void>;
    updateFcmKey(experienceName: string, fcmApiKey: string): Promise<void>;
    removeKeystore(experienceName: string): Promise<void>;
    private _ensureCredentialsFetched;
}
