"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _plist() {
  const data = _interopRequireDefault(require("@expo/plist"));

  _plist = function () {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function readAppleTeam(dataBase64) {
  var _ref;

  let profilePlist;

  try {
    const buffer = Buffer.from(dataBase64, 'base64');
    const profile = buffer.toString('utf-8');
    profilePlist = _plist().default.parse(profile);
  } catch (error) {
    throw new Error('Provisioning profile is malformed');
  }

  const teamId = (_ref = profilePlist['TeamIdentifier']) === null || _ref === void 0 ? void 0 : _ref[0];
  const teamName = profilePlist['TeamName'];

  if (!teamId) {
    throw new Error('Team identifier is missing from provisoning profile');
  }

  return {
    teamId,
    teamName
  };
}

var _default = {
  readAppleTeam
};
exports.default = _default;
//# sourceMappingURL=provisioningProfile.js.map